# Uses of Class
org.eclipse.osgi.container.ModuleContainerAdaptor

Packages that use ModuleContainerAdaptor
Package
Description
org.eclipse.osgi.container
org.eclipse.osgi.storage

## Uses of ModuleContainerAdaptor in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return ModuleContainerAdaptor
Modifier and Type
Method
Description
`ModuleContainerAdaptor`
ModuleContainer.`getAdaptor()`
Returns the adaptor for this container
Constructors in org.eclipse.osgi.container with parameters of type ModuleContainerAdaptor
Modifier
Constructor
Description
``
`ModuleContainer(ModuleContainerAdaptor adaptor, ModuleDatabase moduledataBase)`
Constructs a new container with the specified adaptor, module database.
``
`ModuleDatabase(ModuleContainerAdaptor adaptor)`
Constructs a new empty database.

## Uses of ModuleContainerAdaptor in org.eclipse.osgi.storage

Methods in org.eclipse.osgi.storage that return ModuleContainerAdaptor
Modifier and Type
Method
Description
`ModuleContainerAdaptor`
Storage.`getAdaptor()`